petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPreallocatorPreallocate

Preallocates the input matrix, optionally filling it with zeros

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPreallocatorPreallocate(Mat mat, PetscBool fill, Mat A)

### Input Parameter

| mat | - the preallocator Many br
| fill | - fill the matrix with zeros Many br

### Output Parameter

A -the matrix Many br

Many br

### See Also

MATPREALLOCATOR

Level:advanced
Location:src/mat/impls/preallocator/matpreallocator.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages